Method: projects.locations.instances.keyRings.keys.transactions.get

Gets details of a single Transaction.

HTTP request

GET https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/keyRings/*/keys/*/transactions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the Transaction to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyRing}/keys/{key}/transactions/{transaction} It takes the form projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyring}/keys/{key}/transactions/{transaction}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Transaction.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.